Subject: bug#17378: 24.3.1: xterm-mouse-event: Wrong type argument: wholenump, -6

From: Eli Zaretskii <[email-masked]>
Date: Sun, 04 May 2014 21:08:33 +0300

> Date: Sat, 3 May 2014 15:40:21 -0700 (PDT)
> From: Ishmael <[email-masked]>
> 
> Apparently, this bug is somehow related to PuTTY, which I use to connect from
> my Windows machine to a Linux (CentOS) box.  I'm unable to reproduce the bug
> on a native Linux host (or rather, a VirtualBox VM running Ubuntu on my
> Windows machine).
> 
> The more exact steps to get the bug are:
> PuTTY + SSH to Linux
> tmux
> emacs -nw junk.txt  (where junk.txt just contains 50 random lines)
> Scroll to the bottom using mouse wheel.
> C-x 3 (this creates a new buffer window to the right with a copy of the
> text)
> With the mouse, click on a line in this new, rightmost window.  Scroll to
> the top using the mouse wheel.
> C-x 3 (a third window is created to the right)
> With the mouse, click on a line in the new, rightmost window. Scroll to the
> bottom using the mouse wheel.
> C-x 3 (a fourth window is created to the right)
> With the mouse, click on a line and attempt to scroll up with the mouse
> wheel.
> Up-scrolling is frozen, yielding the error message originally described.

I cannot reproduce this.

Please set debug-on-error to a non-nil value, and show the backtrace
that is produced when the error happens.